ExtensionControllerGetDataProviders Method |
GET /Extension/DataProviders/
Gets the data providers which can be created/saved by the caller.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("DataProviders")]
public IActionResult GetDataProviders(
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("DataProviders")>
Public Function GetDataProviders (
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"DataProviders")]
IActionResult^ GetDataProviders(
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("DataProviders")>]
member GetDataProviders :
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
IActionResultAn array of
DataProviderData objects, or a status code indicating the reason for failure.
See Also